
Installer - Bug #6862

Rerunning the installer after some issue doesn't make sure that the rake tasks (migreate, seed,

apipie:cache) were finished

07/31/2014 07:57 AM - Ivan Necas

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently, the rake tasks are marked a `refreshonly`, which causes a pain, if there were some failures causing for example the

`db:migrate` to fail and after addressing the issues, the db:migrate is not run anymore.

Related issues:

Is duplicate of Installer - Bug #4611: DB migrate and seed should be re-run i... Closed 03/10/2014

History

#1 - 07/31/2014 10:13 AM - Dominic Cleal

- Is duplicate of Bug #4611: DB migrate and seed should be re-run if an error occurred during the run of either added

#2 - 07/31/2014 10:13 AM - Dominic Cleal

- Status changed from New to Duplicate
